org.apache.fop.fonts

## Class CustomFontCollection

- java.lang.Object
- - org.apache.fop.fonts.CustomFontCollection

All Implemented Interfaces:
  FontCollection

    public class CustomFontCollection
    extends Object
    implements FontCollection

Sets up a set of custom (embedded) fonts

### Constructor Summary

Constructors
Constructor and Description
`CustomFontCollection(InternalResourceResolver fontResolver, List<EmbedFontInfo> customFonts, boolean useComplexScriptFeatures)` Main constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `setup(int num, FontInfo fontInfo)` Sets up fonts in a font info object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CustomFontCollection

    public CustomFontCollection(InternalResourceResolver fontResolver,
                                List<EmbedFontInfo> customFonts,
                                boolean useComplexScriptFeatures)

Main constructor.

Parameters:
  `fontResolver` - a font resolver
  `customFonts` - the list of custom fonts
  `useComplexScriptFeatures` - true if complex script features enabled

### Method Detail

#### setup

    public int setup(int num,
                     FontInfo fontInfo)

Sets up fonts in a font info object. Adds metrics for basic fonts and useful family-style-weight triplets for lookup.

Specified by:
  `setup` in interface `FontCollection`
Parameters:
  `num` - the font starting number
  `fontInfo` - the font info to set up
Returns:
  the starting font number for the next font to be added